{% extends 'panel.html.twig' %}

{% block panel_title %}
    <img src="/images/{{object}}.png" class="icone ml-2 mb-2" alt="icone de {{ objectName | trans }}"/> {{ objectNameUp|trans }} {{ entity }}
    {% if refenrece|default(null) %}
        dans {{ reference }}
    {% endif %}
{% endblock %}

{% block panel_buttons %}
    {% if reference|default(null) %}
        <a class="btn btn-outline-info sm-3" href="{{ path('coOwnership_view', {'id':reference.id}) }}">◄ Revenir au projet</a>
    {% endif %}
    {% if reference|default(null) %}
        <a class="btn btn-outline-info sm-3" href="{{ path(object~'s_index', {'referenceId':reference.id}) }}">◄ {{ objectBacks|trans }}</a>
    {% else %}
        <a class="btn btn-outline-info sm-3" href="{{ path(object~'s_index') }}">◄ {{ objectBacks|trans }}</a>
    {% endif %}
    {% if object == 'owner' %}
        <br>
        <br>
        <span class="sm-3">
            Lots :
            {% for lot in entity.lots %}
                <a href="{{ path('lot_show', {'referenceId':reference.id, 'id':lot.id}) }}">{{ lot }}</a>
            {% endfor %}
            </span>
    {% endif %}

{% endblock %}

{% block panel_actions %}
    <a class="btn btn-outline-success btn-block btn-action"
            {% if reference|default(null) %}
                href="{{ path(object~'_edit', {'referenceId':reference.id, 'id':entity.id}) }}"
            {% else %}
                href="{{ path(object~'_edit', {'id':entity.id}) }}"
            {% endif %}
    >Modifier</a>
    {{ include('object/delete.html.twig') }}
    {% if object == 'owner' %}
            {% if entity.user %}
                <a class="btn btn-outline-dark btn-block btn-action"
                   href="{{ path('user_edit', {'id':entity.user.id}) }}"
                >Modifier les données du compte</a>
            {% else %}
                <a class="btn btn-outline-dark btn-block btn-action"
                   href="{{ path('user_new', {'owner_id':entity.id}) }}"
                >Générer un compte</a>
            {% endif %}
    {% endif %}
{% endblock %}

{% block panel_body %}
    <div class="container">
<div class="row">
    <div class="col-md-offset-2 col-md-10 col-sm-12">
    {% if reference|default(null) %}
        {{ include(origin~'/'~object~'/show.html.twig') }}
    {% else %}
        {{ include(object~'/show.html.twig') }}
    {% endif %}
</div>
</div>
    </div>
{% endblock %}
